.. Scapy documentation master file, created by sphinx-quickstart on Mon Sep  8 19:37:39 2008.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.

Welcome to Scapy's documentation!
=================================

:Release: |version|
:Date: |today|

This document is under a `Creative Commons Attribution - Non-Commercial 
- Share Alike 2.5 <http://creativecommons.org/licenses/by-nc-sa/2.5/>`_ license.

The document is under review to update from scapy to scapy3k. Some code samples may not work directly with scapy3k - usually change of str() to bytes() or 'some string' to b'some string' fixes the problem.

.. toctree::
   :maxdepth: 2
   
   introduction
   installation
   
   usage
   advanced_usage
   extending
   build_dissect

   troubleshooting
   development
   backmatter
 
